Package helma.framework

# Class TimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
helma.framework.TimeoutException

All Implemented Interfaces:
  `Serializable`

public class TimeoutException extends RuntimeException
TimeoutException is thrown by the request evaluator when a request could not be serviced within the timeout period specified for an application.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TimeoutException()`
Creates a new TimeoutException object.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TimeoutException

public TimeoutException()
Creates a new TimeoutException object.